Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class ImageInfoUtil

    java.lang.Object
      |
      +--com.vistech.util.ImageInfoUtil

public class ImageInfoUtil
extends java.lang.Object

A utility class for obtaining a variety of image information.

Version:
  1.0 10 Feb 2000
Author:
  Lawrence Rodrigues

Field Summary
`static int` | `ALPHA`
`static int` | `BANDED`
`static int` | `BLUE`
`static int` | `COMPONENT`
`static int` | `COMPONENT_SAMPLE`
`static int` | `DIRECT`
`static int` | `GREEN`
`static int` | `INDEX`
`static int` | `MULTI_PIXEL_PACKED`
`static int` | `PIXEL_INTERLEAVED`
`static int` | `RED`
`static int` | `SINGLE_PIXEL_PACKED`

Constructor Summary
`ImageInfoUtil()`

Method Summary
`static int[][]` | `computeStats(int[][] pixel)`
`static java.lang.String` | `getColorModelAsText(int cmtype)`
`static int` | `getColorModelType(java.awt.image.ColorModel cm)`
`static java.lang.String` | `getColorSpaceAsText(int cs)`
`static java.lang.String` | `getDataTypeAsText(int dttype)`
`static java.lang.String[][]` | `getImageInfo(java.awt.image.BufferedImage img)`
`static int[][]` | `getImageStats(java.awt.image.BufferedImage img)`
`static int[][]` | `getImageStats(java.awt.image.SampleModel sm, java.awt.image.DataBuffer db, java.awt.Dimension imageSize)`
`static int[][]` | `getPixelSamples(java.awt.image.BufferedImage img)`
`static int[][]` | `getPixelSamples(java.awt.image.Raster raster, java.awt.Dimension imageSize)`
`static int[][]` | `getPixelSamples(java.awt.image.SampleModel sm, java.awt.image.DataBuffer db, java.awt.Dimension imageSize)`
`static int[][]` | `getRGBStats(java.awt.image.ColorModel cm, int[] pixels)`
`static java.lang.String` | `getSampleModelAsText(int smtype)`
`static int` | `getSampleModelType(java.awt.image.SampleModel cm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RED

    public static final int RED

### GREEN

    public static final int GREEN

### BLUE

    public static final int BLUE

### ALPHA

    public static final int ALPHA

### DIRECT

    public static final int DIRECT

### INDEX

    public static final int INDEX

### COMPONENT

    public static final int COMPONENT

### COMPONENT_SAMPLE

    public static final int COMPONENT_SAMPLE

### BANDED

    public static final int BANDED

### PIXEL_INTERLEAVED

    public static final int PIXEL_INTERLEAVED

### SINGLE_PIXEL_PACKED

    public static final int SINGLE_PIXEL_PACKED

### MULTI_PIXEL_PACKED

    public static final int MULTI_PIXEL_PACKED

Constructor Detail

### ImageInfoUtil

    public ImageInfoUtil()

Method Detail

### getImageInfo

    public static java.lang.String[][] getImageInfo(java.awt.image.BufferedImage img)

### getColorSpaceAsText

    public static java.lang.String getColorSpaceAsText(int cs)

### getDataTypeAsText

    public static java.lang.String getDataTypeAsText(int dttype)

### getColorModelAsText

    public static java.lang.String getColorModelAsText(int cmtype)

### getSampleModelAsText

    public static java.lang.String getSampleModelAsText(int smtype)

### getColorModelType

    public static int getColorModelType(java.awt.image.ColorModel cm)

### getSampleModelType

    public static int getSampleModelType(java.awt.image.SampleModel cm)

### getRGBStats

    public static int[][] getRGBStats(java.awt.image.ColorModel cm,
                                      int[] pixels)

### getImageStats

    public static int[][] getImageStats(java.awt.image.BufferedImage img)

### getImageStats

    public static int[][] getImageStats(java.awt.image.SampleModel sm,
                                        java.awt.image.DataBuffer db,
                                        java.awt.Dimension imageSize)

  Returns:
    a two dimensional array. First dimension is the component and second is the stats

### computeStats

    public static int[][] computeStats(int[][] pixel)

### getPixelSamples

    public static int[][] getPixelSamples(java.awt.image.BufferedImage img)

### getPixelSamples

    public static int[][] getPixelSamples(java.awt.image.Raster raster,
                                          java.awt.Dimension imageSize)

### getPixelSamples

    public static int[][] getPixelSamples(java.awt.image.SampleModel sm,
                                          java.awt.image.DataBuffer db,
                                          java.awt.Dimension imageSize)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD